
set( ubana_VERSION 08.13.02 )
set( ubana_UPS_VERSION v08_13_02 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larcorealg  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( larcoreobj  )
find_ups_root(  )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata v01_05_01 )
find_ups_product( lardataalg  )
find_ups_product( lardata  )
find_ups_product( larcore  )
find_ups_product( art  )
find_ups_product( canvas_root_io  )
find_ups_product( nutools  )
find_ups_product( genie  )
find_ups_product( dk2nugenie  )
find_ups_product( libwda  )
find_ups_product( postgresql  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /Users/macdev/workspace/build-nulite/BUILDTYPE/prof/label1/swarm/label2/OSX-10.12/build/libxml2/v2_9_5/Darwin64bit+16-prof/lib NO_DEFAULT_PATH )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
  cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
  cet_find_library( NUSIMDATA_SIMULATIONBASE NAMES nusimdata_SimulationBase PATHS ENV NUSIMDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( ubreco v1_00_00 )
find_ups_product( ubsim v1_00_00 )
find_ups_product( ubevt v1_00_00 )
find_ups_product( ubcore v1_00_00 )
find_ups_product( ubobj v1_00_00 )
find_ups_product( artdaq_core v1_00_00 )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( ifdh_art v1_00_00 )
find_ups_product( ifdhc  )
find_ups_product( ifbeam  )
find_ups_product( nucondb  )
  cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
  cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
  cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3 PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( larevt v1_00_00 )
find_ups_product( gsl v1_00_00 )
find_ups_product( gallery  )
  cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
find_ups_product( larsim v1_00_00 )
find_ups_product( marley  )
  cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
find_ups_product( larreco v1_00_00 )
find_ups_product( eigen  )
find_ups_product( swtrigger v1_00_00 )
find_ups_product( ubraw v1_00_00 )
find_ups_product( uboonedaq_datatypes v1_00_00 )
  cet_find_library( UBDut NAMES ubdata_types PATHS /Users/macdev/workspace/uboone-release-build2/BUILDTYPE/prof/QUAL/c2/label1/swarm/label2/OSX-10.12/build/uboonedaq_datatypes/v6_22_05a/d16.x86_64.c2.offline.prof/lib )
find_ups_product( larana v1_00_00 )
find_ups_product( larpandora v1_00_00 )
find_ups_product( pandora v02_00_00 )
find_ups_product( larpandoracontent v02_04_00 )
  cet_find_library( PANDORASDK NAMES PandoraSDK PATHS ENV PANDORA_LIB )
  cet_find_library( PANDORAMONITORING NAMES PandoraMonitoring PATHS ENV PANDORA_LIB )
set(UBANA_ANALYSISTREE_OBJECTTREES_MCNEUTRINOANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_ObjectTrees_MCNeutrinoAna_module.dylib")
set(UBANA_ANALYSISTREE_OBJECTTREES_POTSUMMARYANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_ObjectTrees_POTSummaryAna_module.dylib")
set(UBANA_ANALYSISTREE_OBJECTTREES_UBOONEOPTICALFILTERANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_ObjectTrees_UbooneOpticalFilterAna_module.dylib")
set(UBANA_ANALYSISTREE_MCTRUTH_MCTRUTHBASE "$ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_MCTruthBase.dylib")
set(UBANA_ANALYSISTREE_MCTRUTH_ASSOCIATIONSTRUTH_TOOL "$ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_AssociationsTruth_tool.dylib")
set(UBANA_ANALYSISTREE_MCTRUTH_BACKTRACKERTRUTH_TOOL "$ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_BackTrackerTruth_tool.dylib")
set(UBANA_ANALYSISTREE_MCTRUTH_MCTRUTHTESTANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_MCTruthTestAna_module.dylib")
set(UBANA_ANALYSISTREE_ANALYSISTREE_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_AnalysisTree_module.dylib")
set(SPECALIBRATIONCODE "$ENV{UBANA_LIB}/libSPEcalibrationCode.dylib")
set(SPECALIBRATION_MODULE "$ENV{UBANA_LIB}/libSPEcalibration_module.dylib")
set(FEMEMULATOR_MODULE "$ENV{UBANA_LIB}/libFEMemulator_module.dylib")
set(SWTRIGGER_MODULE "$ENV{UBANA_LIB}/libSWTrigger_module.dylib")
set(UBANA_CALIBRATIONS "$ENV{UBANA_LIB}/libubana_Calibrations.dylib")
set(CALIBRATIONTPC_MODULE "$ENV{UBANA_LIB}/libCalibrationTPC_module.dylib")
set(CALIBRATIONDEDX_MODULE "$ENV{UBANA_LIB}/libCalibrationdEdX_module.dylib")
set(DIFFUSION_MODULE "$ENV{UBANA_LIB}/libDiffusion_module.dylib")
set(EXTRACTPEDESTALINFORMATION_MODULE "$ENV{UBANA_LIB}/libExtractPedestalInformation_module.dylib")
set(FILTERCROSSINGMUONS_MODULE "$ENV{UBANA_LIB}/libFilterCrossingMuons_module.dylib")
set(KPLANE2_MODULE "$ENV{UBANA_LIB}/libKplane2_module.dylib")
set(LIFETIMEQAQC_MODULE "$ENV{UBANA_LIB}/libLifetimeQAQC_module.dylib")
set(LIFETIME_MODULE "$ENV{UBANA_LIB}/libLifetime_module.dylib")
set(NOISEFILTER_MODULE "$ENV{UBANA_LIB}/libNoiseFilter_module.dylib")
set(VALIDATELIFETIME_MODULE "$ENV{UBANA_LIB}/libValidateLifetime_module.dylib")
set(XYZCORRECTION_MODULE "$ENV{UBANA_LIB}/libXYZcorrection_module.dylib")
set(XYZVALIDATIOIN_MODULE "$ENV{UBANA_LIB}/libXYZvalidatioin_module.dylib")
set(UBANA_CHARGEDTRACKMULTIPLICITY_MC_CTMMCANA_MODULE "$ENV{UBANA_LIB}/libubana_ChargedTrackMultiplicity_MC_CTMMCAna_module.dylib")
set(UBANA_CHARGEDTRACKMULTIPLICITY_DATAON_CTMDATAONANA_MODULE "$ENV{UBANA_LIB}/libubana_ChargedTrackMultiplicity_DataON_CTMDataONAna_module.dylib")
set(UBANA_CHARGEDTRACKMULTIPLICITY_DATAOFF_CTMDATAOFFANA_MODULE "$ENV{UBANA_LIB}/libubana_ChargedTrackMultiplicity_DataOFF_CTMDataOFFAna_module.dylib")
set(COSMICFLASHTAGGERANA_MODULE "$ENV{UBANA_LIB}/libCosmicFlashTaggerAna_module.dylib")
set(COSMICFLASHTAGGER_MODULE "$ENV{UBANA_LIB}/libCosmicFlashTagger_module.dylib")
set(UBANA_COSMICTAGGING_COSMICTAGGINGALGORITHMS "$ENV{UBANA_LIB}/libubana_CosmicTagging_CosmicTaggingAlgorithms.dylib")
set(CCINCLUSIVETRUTHFILTER_MODULE "$ENV{UBANA_LIB}/libCCInclusiveTruthFilter_module.dylib")
set(UBANA_HITANALYSIS_TOOLS_SHOWERHITEFFICIENCYANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_HitAnalysis_tools_ShowerHitEfficiencyAnalysis_tool.dylib")
set(UBANA_HITANALYSIS_TOOLS_TRACKHITEFFICIENCYANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_HitAnalysis_tools_TrackHitEfficiencyAnalysis_tool.dylib")
set(UBANA_HITANALYSIS_HITEFFICIENCYANA_MODULE "$ENV{UBANA_LIB}/libubana_HitAnalysis_HitEfficiencyAna_module.dylib")
set(UBANA_LEEPHOTONANALYSIS "$ENV{UBANA_LIB}/libubana_LEEPhotonAnalysis.dylib")
set(GENIETEST_MODULE "$ENV{UBANA_LIB}/libGENIETest_module.dylib")
set(LEEPHOTONANALYSIS_MODULE "$ENV{UBANA_LIB}/libLEEPhotonAnalysis_module.dylib")
set(NCDELTARADIATIVE_MODULE "$ENV{UBANA_LIB}/libNCDeltaRadiative_module.dylib")
set(RECOTRUETEST_MODULE "$ENV{UBANA_LIB}/libRecoTrueTest_module.dylib")
set(SIGNALFILTER_MODULE "$ENV{UBANA_LIB}/libSignalFilter_module.dylib")
set(FLASH_MODULE "$ENV{UBANA_LIB}/libflash_module.dylib")
set(MUCSGAINANA_MODULE "$ENV{UBANA_LIB}/libMuCSGainAna_module.dylib")
set(MUCST0FINDER_MODULE "$ENV{UBANA_LIB}/libMuCST0Finder_module.dylib")
set(MUCSTRACKFINDER_MODULE "$ENV{UBANA_LIB}/libMuCSTrackFinder_module.dylib")
set(T0TRACKCALIB_MODULE "$ENV{UBANA_LIB}/libT0TrackCalib_module.dylib")
set(TPCOBJECTCREATOR_MODULE "$ENV{UBANA_LIB}/libTPCObjectCreator_module.dylib")
set(UBT0FINDER_MODULE "$ENV{UBANA_LIB}/libUBT0Finder_module.dylib")
set(UBANA_SELECTIONTOOL_OPT0FINDERBASE "$ENV{UBANA_LIB}/libubana_SelectionTool_OpT0FinderBase.dylib")
set(UBANA_SELECTIONTOOL_OPT0FINDERALGORITHMS "$ENV{UBANA_LIB}/libubana_SelectionTool_OpT0FinderAlgorithms.dylib")
set(CELLTREEUB_MODULE "$ENV{UBANA_LIB}/libCellTreeUB_module.dylib")
set(UBANA_OPTICALDETECTORANA "$ENV{UBANA_LIB}/libubana_OpticalDetectorAna.dylib")
set(FLASHTRIGGER_MODULE "$ENV{UBANA_LIB}/libFlashTrigger_module.dylib")
set(OPDIGITSATURATIONCORRECTION_MODULE "$ENV{UBANA_LIB}/libOpDigitSaturationCorrection_module.dylib")
set(SIMPLEFLASHFINDER_MODULE "$ENV{UBANA_LIB}/libSimpleFlashFinder_module.dylib")
set(UBBASICOPTICALANA_MODULE "$ENV{UBANA_LIB}/libUBBasicOpticalAna_module.dylib")
set(OPTICALSUBEVENTS "$ENV{UBANA_LIB}/libOpticalSubEvents.dylib")
set(SUBEVENTBUILDER_MODULE "$ENV{UBANA_LIB}/libSubEventBuilder_module.dylib")
set(UBOONE_LEEPRECUTALGO "$ENV{UBANA_LIB}/libuboone_LEEPreCutAlgo.dylib")
set(DLPMTPRECUTS_MODULE "$ENV{UBANA_LIB}/libDLPMTPreCuts_module.dylib")
set(UBANA_PATTERNFILTER_PMALGS "$ENV{UBANA_LIB}/libubana_PatternFilter_PMAlgs.dylib")
set(UBANA_PATTERNFILTER_ARTMODULES_ANODECATHODETRACKANA_MODULE "$ENV{UBANA_LIB}/libubana_PatternFilter_ArtModules_AnodeCathodeTrackAna_module.dylib")
set(UBANA_PATTERNFILTER_ARTMODULES_ANODECATHODETRACKFILTER_MODULE "$ENV{UBANA_LIB}/libubana_PatternFilter_ArtModules_AnodeCathodeTrackFilter_module.dylib")
set(LOWLEVELNUEFILTER_MODULE "$ENV{UBANA_LIB}/libLowLevelNueFilter_module.dylib")
set(OPFLASHFILTER_MODULE "$ENV{UBANA_LIB}/libOpFlashFilter_module.dylib")
set(TPCNEUTRINOIDANA_MODULE "$ENV{UBANA_LIB}/libTPCNeutrinoIDAna_module.dylib")
set(TPCNEUTRINOIDFILTER_MODULE "$ENV{UBANA_LIB}/libTPCNeutrinoIDFilter_module.dylib")
set(TPCNEUTRINOID_MODULE "$ENV{UBANA_LIB}/libTPCNeutrinoID_module.dylib")
set(TPCNEUTRINOIDALGS "$ENV{UBANA_LIB}/libTPCNeutrinoIDAlgs.dylib")
set(ACPTTAGGER_MODULE "$ENV{UBANA_LIB}/libACPTTagger_module.dylib")
set(CANDIDATECONSISTENCY_MODULE "$ENV{UBANA_LIB}/libCandidateConsistency_module.dylib")
set(COSMICFLASHMATCH_MODULE "$ENV{UBANA_LIB}/libCosmicFlashMatch_module.dylib")
set(COSMICTAGGERANA_MODULE "$ENV{UBANA_LIB}/libCosmicTaggerAna_module.dylib")
set(COSMICTRACKHITTAGGER_MODULE "$ENV{UBANA_LIB}/libCosmicTrackHitTagger_module.dylib")
set(DEDXANA_MODULE "$ENV{UBANA_LIB}/libDeDxAna_module.dylib")
set(FLASHMATCHCALIB_MODULE "$ENV{UBANA_LIB}/libFlashMatchCalib_module.dylib")
set(GEOCOSMICTAGGER_MODULE "$ENV{UBANA_LIB}/libGeoCosmicTagger_module.dylib")
set(INTIMESTUDY_MODULE "$ENV{UBANA_LIB}/libInTimeStudy_module.dylib")
set(NEUTRINOFLASHMATCH_MODULE "$ENV{UBANA_LIB}/libNeutrinoFlashMatch_module.dylib")
set(NEUTRINOMCFLASH_MODULE "$ENV{UBANA_LIB}/libNeutrinoMCFlash_module.dylib")
set(PHOTONACTIVITY_MODULE "$ENV{UBANA_LIB}/libPhotonActivity_module.dylib")
set(RECOTRUEMATCHER_MODULE "$ENV{UBANA_LIB}/libRecoTrueMatcher_module.dylib")
set(SIMPLEANA_MODULE "$ENV{UBANA_LIB}/libSimpleAna_module.dylib")
set(STOPPINGMUONTAGGER_MODULE "$ENV{UBANA_LIB}/libStoppingMuonTagger_module.dylib")
set(TPCOBJECTMAKER_MODULE "$ENV{UBANA_LIB}/libTPCObjectMaker_module.dylib")
set(UBXSEC_MODULE "$ENV{UBANA_LIB}/libUBXSec_module.dylib")
set(UBOONECODE_UBOONE_UBXSEC_ALGORITHMS "$ENV{UBANA_LIB}/libuboonecode_uboone_UBXSec_Algorithms.dylib")
set(HITCOSMICTAG_BASE "$ENV{UBANA_LIB}/libHitCosmicTag_Base.dylib")
set(HITCOSMICTAG_ALGORITHMS "$ENV{UBANA_LIB}/libHitCosmicTag_Algorithms.dylib")
set(UBANA_LARSOFTEXAMPLES_USINGASSNSANA_MODULE "$ENV{UBANA_LIB}/libubana_LArSoftExamples_UsingAssnsAna_module.dylib")
set(UBANA_LARSOFTEXAMPLES_USINGHANDLESANA_MODULE "$ENV{UBANA_LIB}/libubana_LArSoftExamples_UsingHandlesAna_module.dylib")
set(HSNFINDER_MODULE "$ENV{UBANA_LIB}/libHsnFinder_module.dylib")
set(PRESELECTALGORITHMS "$ENV{UBANA_LIB}/libPreSelectAlgorithms.dylib")
set(PRESELECTDATAOBJECTS "$ENV{UBANA_LIB}/libPreSelectDataObjects.dylib")
set(HSNMCTRUTHINFORMATION_MODULE "$ENV{UBANA_LIB}/libHsnMcTruthInformation_module.dylib")
set(MCTRUTHINFORMATION_MODULE "$ENV{UBANA_LIB}/libMcTruthInformation_module.dylib")
set(GETNORMALIZATIONHISTOGRAMS_MODULE "$ENV{UBANA_LIB}/libGetNormalizationHistograms_module.dylib")
set(GETPOTCOUNT_MODULE "$ENV{UBANA_LIB}/libGetPotCount_module.dylib")
set(EVENTFILEDATABASE_MODULE "$ENV{UBANA_LIB}/libEventFileDatabase_module.dylib")
set(FINDFILEWITHEVENT_MODULE "$ENV{UBANA_LIB}/libFindFileWithEvent_module.dylib")
set(UBOONECODE_UBOONE_XGBOOST "$ENV{UBANA_LIB}/libuboonecode_uboone_XGBoost.dylib")
set(DECISIONTREEID_MODULE "$ENV{UBANA_LIB}/libDecisionTreeID_module.dylib")
set(QEEVENTSELECTIONFILTER_MODULE "$ENV{UBANA_LIB}/libQEEventSelectionFilter_module.dylib")
set(QEEVENTSELECTION_MODULE "$ENV{UBANA_LIB}/libQEEventSelection_module.dylib")
set(UBOONECODE_UBOONE_NCELASTICALGORITHMS "$ENV{UBANA_LIB}/libuboonecode_uboone_NCElasticAlgorithms.dylib")
  include_directories ( "$ENV{UBANA_INC}" )

check_required_components(ubana)

